## sight 25.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

# Use new policy for 'install_name' and RPATH on macOS (use `cmake --help-policy CMP0068` for details)
cmake_policy(SET CMP0068 NEW)
# Use new policy for `FindOpenGL` to prefer GLVND by default when available on linux.
# (use `cmake --help-policy CMP0072` for details).
cmake_policy(SET CMP0072 NEW)
# Use new policy for 'Honor visibility properties for all target types'.
# (use `cmake --help-policy CMP0063` for details)
cmake_policy(SET CMP0063 NEW)
# Adds support for the new IN_LIST operator.
cmake_policy(SET CMP0057 NEW)
# Use new policy to use CMAKE_CXX_STANDARD in try_compile() macro
cmake_policy(SET CMP0067 NEW)
# Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
# (Needed for doxygen..)
cmake_policy(SET CMP0106 OLD)
# Use new policy for CMAKE_MSVC_DEBUG_INFORMATION_FORMAT
cmake_policy(SET CMP0141 NEW)
# Use old policy for now because of openCV
cmake_policy(SET CMP0146 OLD)

if(${CMAKE_VERSION} VERSION_GREATER "3.25.0")
    # Transform the ``DEPFILE`` after running the custom command for Ninja generator.
    cmake_policy(SET CMP0116 OLD)
endif()

# On Windows, if the user doesn't specify a value,
# 'CMAKE_BUILD_TYPE' is automatically initialized to 'Debug' after 'project()'.
# So we need to check this variable at this point.
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING
                                               "Choose the type of build, options are: Debug, Release, RelWithDebInfo"
)
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug;Release;RelWithDebInfo")

if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT CMAKE_BUILD_TYPE STREQUAL "Release" AND NOT CMAKE_BUILD_TYPE STREQUAL
                                                                                         "RelWithDebInfo"
)
    message(
        FATAL_ERROR
            "Invalid value for CMAKE_BUILD_TYPE: '${CMAKE_BUILD_TYPE}' (required Debug, Release, RelWithDebInfo)"
    )
endif()

project(
    sight
    VERSION 24.0.0
    DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
    HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
)

if(APPLE)
    message(FATAL_ERROR "macOS is not supported.")
endif()

enable_testing()

include(CheckVariableExists)
include(CMakeParseArguments)
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

option(SIGHT_ENABLE_PCH "Use pre-compiled headers to speedup the compilation" ON)
option(SIGHT_VERBOSE_PCH "Display debug messages to help debugging PCH" OFF)
mark_as_advanced(SIGHT_ENABLE_PCH)
mark_as_advanced(SIGHT_VERBOSE_PCH)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/linux/modules)

# We find VTK to know its version so we can enable PCL or not
find_package(VTK CONFIG QUIET REQUIRED)

########################################################################################################################
# User options
########################################################################################################################

# Tests build / run options
option(SIGHT_BUILD_TESTS "Configures projects associated tests (<project>Test projects)" ON)

option(SIGHT_TESTS_XML_OUTPUT "Tests will generate an xml output, suitable for CI integration" ON)
mark_as_advanced(SIGHT_TESTS_XML_OUTPUT)

set(SIGHT_TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
mark_as_advanced(SIGHT_TESTS_FILTER)

if(UNIX)
    option(SIGHT_ENABLE_GDB
           "Test scripts will attach GDB, allowing to generate core file and print backtrace in case of crash." OFF
    )
    mark_as_advanced(SIGHT_ENABLE_GDB)

    if(SIGHT_ENABLE_GDB)
        find_program(GDB NAMES "gdb" REQUIRED)
    endif()
endif()

# Use clang-tidy linter
option(SIGHT_ENABLE_CLANG_TIDY "Enable Clang Tidy checks" OFF)
mark_as_advanced(SIGHT_ENABLE_CLANG_TIDY)

if(SIGHT_ENABLE_CLANG_TIDY)
    # cmake-lint: disable=C0301
    find_program(CLANG_TIDY NAMES "clang-tidy" "clang-tidy-14" REQUIRED)
    set(CMAKE_CXX_CLANG_TIDY ${CLANG_TIDY};--use-color;--export-fixes=.clang-tidy-fixes.yaml)

    # Also generate compile_commands.json which is useful when launching clang-tidy by "hand"
    set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
endif()

# QML_IMPORT_PATH allows qtCreator to find the qml modules created in our modules
set(QML_IMPORT_PATH "" CACHE STRING "Path of the Qml modules." FORCE)
mark_as_advanced(QML_IMPORT_PATH)

if(CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_CONFIGURATION_TYPES ${CMAKE_BUILD_TYPE} CACHE STRING "List of supported configurations." FORCE)
endif()

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY AUTOGEN_TARGETS_FOLDER automoc)

# Make Realsense optional
option(SIGHT_ENABLE_REALSENSE "Enable RealSense" OFF)

# Make samples/tutorials build optional
option(SIGHT_BUILD_EXAMPLES "Build examples and tutorials" ON)

option(SIGHT_BUILD_MANPAGES "Generate man pages for applications" OFF)

########################################################################################################################
# Warn user of install dir isn't empty
########################################################################################################################

file(GLOB_RECURSE INSTALL_DIR_CONTENT ${CMAKE_INSTALL_PREFIX}/*)
list(LENGTH INSTALL_DIR_CONTENT CONTENT)
if(NOT CONTENT EQUAL 0)
    # DIR isn't empty, warn user.
    message(WARNING "CMAKE_INSTALL_PREFIX (${CMAKE_INSTALL_PREFIX}) isn't empty."
                    "Please select another folder or clean it before running install command."
    )
endif()

########################################################################################################################
# External libraries management
########################################################################################################################
set(FWCMAKE_RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)

# Append our 'FindPackages.cmake' to CMAKE_MODULE_PATH
list(APPEND CMAKE_MODULE_PATH ${FWCMAKE_RESOURCE_PATH}/modules)

if(UNIX)
    list(APPEND CMAKE_PREFIX_PATH ${FWCMAKE_RESOURCE_PATH}/modules)

    list(APPEND CMAKE_FIND_ROOT_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
    if(UNIX)
        list(APPEND CMAKE_PREFIX_PATH /usr/share/OGRE/cmake/modules)
    endif()

    set(SIGHT_EXTERNAL_LIBRARIES CACHE PATH "External libraries location")
    mark_as_advanced(SIGHT_EXTERNAL_LIBRARIES)

    # Use directly SIGHT_EXTERNAL_LIBRARIES if set, otherwise, download and install sight-deps package
    # Comment out this if one need to include a dependency from sight-deps one day
    #if(NOT SIGHT_EXTERNAL_LIBRARIES AND SIGHT_ENABLE_LIBRARY)
    #    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/download_deps.cmake)
    #endif()

    if(SIGHT_EXTERNAL_LIBRARIES)
        get_filename_component(ABSOLUTE_SIGHT_EXTERNAL_LIBRARIES ${SIGHT_EXTERNAL_LIBRARIES} REALPATH)
        set(SIGHT_EXTERNAL_LIBRARIES ${ABSOLUTE_SIGHT_EXTERNAL_LIBRARIES})
        unset(ABSOLUTE_SIGHT_EXTERNAL_LIBRARIES)

        list(APPEND CMAKE_PREFIX_PATH ${SIGHT_EXTERNAL_LIBRARIES})
        list(APPEND CMAKE_MODULE_PATH ${SIGHT_EXTERNAL_LIBRARIES}/lib/cmake/)
        list(APPEND CMAKE_FIND_ROOT_PATH ${SIGHT_EXTERNAL_LIBRARIES})
        # To be added into LD_LIBRARY_PATH in our "launch" scripts.
        set(SIGHT_EXTERNAL_LIBRARIES_LIB_PATH ${SIGHT_EXTERNAL_LIBRARIES}/lib/)
    endif()
endif()

# We always need CppUnit, no need to put that in subdirectories
find_package(CppUnit QUIET REQUIRED)

########################################################################################################################
# Default paths settings for libraries, modules and resources
########################################################################################################################
set(FW_INSTALL_PATH_SUFFIX "${PROJECT_NAME}")
set(SIGHT_MODULE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}/${FW_INSTALL_PATH_SUFFIX}")
if(WIN32)
    set(SIGHT_MODULE_LIB_PREFIX "${CMAKE_INSTALL_BINDIR}")
else()
    set(SIGHT_MODULE_LIB_PREFIX "${CMAKE_INSTALL_LIBDIR}")
endif()

set(FWCONFIG_PACKAGE_LOCATION lib/cmake/sight)
set_property(GLOBAL PROPERTY ${PROJECT_NAME}_COMPONENTS "")

# Define the path 'FW_SIGHT_EXTERNAL_LIBRARIES_DIR' used to find external libraries required by our applications
set_external_libraries_dir()
if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
    set(SIGHT_VCPKG_ROOT_DIR "${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}/debug")
else()
    set(SIGHT_VCPKG_ROOT_DIR "${_VCPKG_INSTALLED_DIR}/${VCPKG_TARGET_TRIPLET}")
    set(EXCLUDE_PATTERN ".*/debug/.*")
endif()

sight_configure_pch()

add_subdirectory(libs)
add_subdirectory(modules)
add_subdirectory(configs)
add_subdirectory(activities)
add_subdirectory(utils)
add_subdirectory(apps)
if(SIGHT_BUILD_EXAMPLES)
    add_subdirectory(tutorials)
    add_subdirectory(examples)
endif()
add_subdirectory(3rd-party)

########################################################################################################################
# Export and install targets
########################################################################################################################

# Will export COMPONENTS: list of all available components ordered by dependency (no dependency first).
sight_generate_component_list(COMPONENTS)

# Create the sightConfigVersion file
configure_file(${CMAKE_SOURCE_DIR}/cmake/build/sightConfig.cmake.in ${CMAKE_BINARY_DIR}/cmake/sightConfig.cmake @ONLY)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/cmake/sightConfigVersion.cmake" VERSION ${PROJECT_VERSION} COMPATIBILITY AnyNewerVersion
)

# Install a special xvfb-run wrapper script to workaround bugs withe the system xvfb-run launcher script
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/linux/safe-xvfb-run ${CMAKE_CURRENT_BINARY_DIR}/bin/safe-xvfb-run
    COPYONLY
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/linux/exec_gui_tests.sh ${CMAKE_CURRENT_BINARY_DIR}/bin/exec_gui_tests.sh
    COPYONLY
)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/install/windows/exec_gui_tests.bat
    ${CMAKE_CURRENT_BINARY_DIR}/bin/exec_gui_tests.bat COPYONLY
)

# Install the sightConfig.cmake and sightConfigVersion.cmake
install(
    FILES "${CMAKE_BINARY_DIR}/cmake/sightConfig.cmake" "${CMAKE_BINARY_DIR}/cmake/sightConfigVersion.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/macros.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/linux/modules/FindFilesystem.cmake"
    DESTINATION ${FWCONFIG_PACKAGE_LOCATION}
    COMPONENT dev
)

# install CppUnitConfig.cmake in a modules folder.
install(FILES "${CMAKE_SOURCE_DIR}/cmake/modules/CppUnitConfig.cmake" DESTINATION ${FWCONFIG_PACKAGE_LOCATION}/modules
        COMPONENT dev
)

# Install some files needed for the build
install(
    FILES "${CMAKE_SOURCE_DIR}/cmake/build/configure_file.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/flags.cmake"
          "${FWCMAKE_RESOURCE_PATH}/build/cppunit_main.cpp.in"
          "${FWCMAKE_RESOURCE_PATH}/build/pch.cpp"
          "${CMAKE_SOURCE_DIR}/cmake/build/config.hpp.in"
          "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config_command.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/profile_config.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/build/profile.xml.in"
          "${CMAKE_SOURCE_DIR}/cmake/build/registerServices.cpp.in"
    DESTINATION ${FWCONFIG_PACKAGE_LOCATION}/build
    COMPONENT dev
)

# Install some files needed for the install
install(
    FILES "${CMAKE_SOURCE_DIR}/cmake/install/generic_install.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/install/get_git_rev.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/install/helper.cmake"
          "${CMAKE_SOURCE_DIR}/cmake/install/install_imported.cmake.in"

=== 3rd-party/minizip/CMakeLists.txt ===
file(GLOB MINIZIP_SOURCES *.c *.h)
add_library(minizip STATIC ${MINIZIP_SOURCES})
target_compile_options(minizip PRIVATE "$<$<CXX_COMPILER_ID:GNU,Clang>:-w>$<$<CXX_COMPILER_ID:MSVC>:/w>")

include(CheckIncludeFile)
include(CheckTypeSize)
include(CheckFunctionExists)

# Check for system includes
check_include_file(stdint.h HAVE_STDINT_H)
if(HAVE_STDINT_H)
    target_compile_definitions(minizip PRIVATE "-DHAVE_STDINT_H")
endif()

check_include_file(inttypes.h HAVE_INTTYPES_H)
if(HAVE_INTTYPES_H)
    target_compile_definitions(minizip PRIVATE "-DHAVE_INTTYPES_H")
endif()

# Check for large file support
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)
    target_compile_definitions(minizip PRIVATE "-D__USE_LARGEFILE64")
    target_compile_definitions(minizip PRIVATE "-D_LARGEFILE64_SOURCE")
endif()

# Check for fseeko support
check_function_exists(fseeko HAVE_FSEEKO)
if(NOT HAVE_FSEEKO)
    target_compile_definitions(minizip PRIVATE "-DNO_FSEEKO")
endif()

# ZLIB
find_package(ZLIB QUIET REQUIRED)
target_link_libraries(minizip PRIVATE ZLIB::ZLIB)
target_compile_definitions(minizip PRIVATE "-DHAVE_ZLIB")
target_compile_definitions(minizip PRIVATE "-DZLIB_COMPAT")

# ZSTD
find_package(PkgConfig QUIET)
if(PKGCONFIG_FOUND)
    pkg_check_modules(ZSTD libzstd)
endif()
if(NOT WIN32 AND ZSTD_FOUND)
    target_include_directories(minizip SYSTEM PRIVATE ${ZSTD_INCLUDE_DIRS})
    target_link_libraries(minizip PRIVATE ${ZSTD_LINK_LIBRARIES})
else()
    find_package(zstd CONFIG REQUIRED)
    target_link_libraries(minizip PRIVATE zstd::libzstd_shared)
endif()
target_compile_definitions(minizip PRIVATE "-DHAVE_ZSTD")

# OpenSSL
find_package(OpenSSL QUIET REQUIRED COMPONENTS Crypto)
target_link_libraries(minizip PRIVATE OpenSSL::Crypto)

# Windows specific
if(WIN32)
    target_compile_definitions(minizip PRIVATE "-D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE")
endif()

# Unix specific
if(UNIX)
    # ICONV
    find_package(Iconv QUIET REQUIRED)
    target_include_directories(minizip SYSTEM PRIVATE ${Iconv_INCLUDE_DIRS})
    target_link_libraries(minizip PRIVATE ${Iconv_LIBRARIES})
    target_compile_definitions(minizip PRIVATE "-DHAVE_ICONV")
endif()

# Setup predefined macros
target_compile_definitions(minizip PRIVATE "-DMZ_ZIP_SIGNING")

# Include WinZIP AES encryption
target_compile_definitions(minizip PRIVATE "-DHAVE_WZAES")

=== configs/ui/CMakeLists.txt ===
add_subdirectory(activity)
add_subdirectory(datamanager)

=== configs/viz/CMakeLists.txt ===
add_subdirectory(scene3d)
add_subdirectory(image)
add_subdirectory(scene2d)

=== examples/filter/CMakeLists.txt ===
add_subdirectory(ex_detect_cam_motion)
add_subdirectory(ex_image_substraction)
add_subdirectory(ex_image_reslice)
add_subdirectory(ex_registration)
if(SIGHT_ENABLE_REALSENSE)
    add_subdirectory(ex_rgbd_image_masking)
endif()
add_subdirectory(ex_dicom_segmentation)

=== libs/io/CMakeLists.txt ===
add_subdirectory(dicom)
add_subdirectory(zip)
add_subdirectory(igtl)
add_subdirectory(http)
add_subdirectory(vtk)
add_subdirectory(opencv)
add_subdirectory(dimse)
add_subdirectory(session)
add_subdirectory(bitmap)

=== modules/viz/CMakeLists.txt ===
add_subdirectory(scene2d)
add_subdirectory(scene3d)
add_subdirectory(scene3d_qt)
add_subdirectory(scene3d_test)
add_subdirectory(sample)
add_subdirectory(qt3d)

=== activities/navigation/calibration/CMakeLists.txt ===
sight_add_target(activity_navigation_calibration TYPE MODULE)

add_dependencies(
    activity_navigation_calibration
    module_ui
    module_viz_scene3d
    module_viz_scene3d_qt
    module_activity
    module_service
    module_sync
    data
    module_ui_icons
    module_ui_qt
    module_io_matrix
    module_io_vision
    module_io_video
    module_io_igtl
    module_geometry_vision
    module_geometry
    module_sync
    module_data
    module_navigation_calibration
)

=== activities/viz/negato/CMakeLists.txt ===
sight_add_target(activity_viz_negato TYPE MODULE)

add_dependencies(
    activity_viz_negato
    data
    module_activity
    module_ui
    module_ui_qt
    module_data
    module_memory
    module_service
    module_io_bitmap
    module_ui_icons
    module_viz_scene3d
    module_viz_scene3d_qt
)

=== configs/io/dicomweb/CMakeLists.txt ===
sight_add_target(config_io_dicomweb TYPE MODULE)

add_dependencies(
    config_io_dicomweb
    data
    io_dimse
    module_data
    module_memory
    module_io_dicom
    module_activity
    module_ui_dicom
    module_io_dicomweb
    module_service
    module_ui_icons
    module_ui
    module_ui_qt
    module_viz_scene3d
    module_viz_scene3d_qt
)

=== examples/core/ex_activities/CMakeLists.txt ===
sight_add_target(ex_activities TYPE APP)

add_dependencies(
    ex_activities
    sightrun
    module_app
    module_ui
    module_ui_qt
    module_activity
    data
    module_service
    module_filter_image
    module_ui
    module_ui_icons
    module_io_vtk
    module_io_activity
    activity_viz_negato
    config_ui_activity
    module_viz_sample
    module_viz_scene3d
    module_data
)

# Allow dark theme via module_ui_qt
module_param(
    module_ui_qt PARAM_LIST resource stylesheet PARAM_VALUES sight::module::ui::qt/flatdark.rcc
                                                             sight::module::ui::qt/flatdark.qss
)

# Main application's configuration to launch
module_param(module_app PARAM_LIST config parameters PARAM_VALUES ExActivities_Base_AppCfg ExActivities_AppCfgParam)

module_param(
    module_ui
    PARAM_LIST preferences_enabled
               preferences_password_policy
               preferences_encryption_policy
               preferences_exit_on_password_error
               preferences_new_password_dialog_title
               preferences_new_password_dialog_message
               preferences_new_password_dialog_icon
               preferences_password_dialog_title
               preferences_password_dialog_message
               preferences_password_dialog_icon
    PARAM_VALUES
        true
        once
        forced
        true
        "New password required"
        "  Please enter a new password: "
        "sight::module::ui::icons/ircad_white.svg"
        "Password required"
        "  Please enter your password: "
        "sight::module::ui::icons/ircad_white.svg"
)

=== examples/navigation/ex_video_tracking/CMakeLists.txt ===
sight_add_target(ex_video_tracking TYPE APP UNIQUE ON)

add_dependencies(
    ex_video_tracking
    sightrun
    module_app
    module_ui
    module_viz_scene3d
    module_ui_qt
    module_viz_scene3d_qt
    data
    module_service
    module_ui
    module_ui_icons
    module_io_video
    module_sync
    module_navigation_optics
    config_io_video
)

# Allow dark theme via module_ui_qt
module_param(
    module_ui_qt PARAM_LIST resource stylesheet PARAM_VALUES sight::module::ui::qt/flatdark.rcc
                                                             sight::module::ui::qt/flatdark.qss
)

# Main application's configuration to launch
module_param(module_app PARAM_LIST config PARAM_VALUES ExVideoTracking_AppCfg)

=== debian/changelog ===
sight (25.0.0-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:06 +0200

sight (25.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: Remove patches applied upstream
    Update other patches
    Add a patch to not load Roboto font manually
  * Removed sightlog install, since it was removed upstream

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 01 Mar 2025 09:45:07 +0100

=== debian/rules ===
#!/usr/bin/make -f

#fix the lintian "hardening" message
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
		-DCMAKE_INSTALL_RPATH="/usr/lib/$(DEB_HOST_MULTIARCH)/sight" \
		-Wno-dev \
		-DSIGHT_BUILD_EXAMPLES=OFF \
		-DSIGHT_BUILD_TESTS=OFF \
		-DGIT_TAG=$(DEB_VERSION_UPSTREAM) \
		-DSIGHT_ARCH=x86-64 \
		-DSIGHT_BUILD_MANPAGES=ON \
		-DCMAKE_BUILD_TYPE=Release

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "test disabled"
endif

override_dh_shlibdeps:
	dh_shlibdeps -v -l/usr/lib/$(DEB_HOST_MULTIARCH):/usr/lib/$(DEB_HOST_MULTIARCH)/sight

override_dh_install:
	dh_install
	sed -i -e 's@^me=.*$$@me=/usr/bin@' \
		-e 's@^rootdir=.*$$@rootdir=/usr@' \
		debian/sightviewer/usr/bin/sight_viewer

## sight 25.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,20 @@
 cmake_policy(SET CMP0057 NEW)
 # Use new policy to use CMAKE_CXX_STANDARD in try_compile() macro
 cmake_policy(SET CMP0067 NEW)
-# Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
-# (Needed for doxygen..)
-cmake_policy(SET CMP0106 OLD)
 # Use new policy for CMAKE_MSVC_DEBUG_INFORMATION_FORMAT
 cmake_policy(SET CMP0141 NEW)
-# Use old policy for now because of openCV
-cmake_policy(SET CMP0146 OLD)
-
-if(${CMAKE_VERSION} VERSION_GREATER "3.25.0")
-    # Transform the ``DEPFILE`` after running the custom command for Ninja generator.
-    cmake_policy(SET CMP0116 OLD)
+
+if(${CMAKE_VERSION} VERSION_GREATER "3.31.0")
+    # Use new policy for removed FindBoost module
+    cmake_policy(SET CMP0167 NEW)
+    # Use new policy for empty string variable after a single-value keyword
+    cmake_policy(SET CMP0174 NEW)
+    # Use new policy for normalized install() DESTINATION paths
+    cmake_policy(SET CMP0177 NEW)
+else()
+    # Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
+    # (Needed for doxygen..)
+    cmake_policy(SET CMP0106 OLD)
 endif()
 
 # On Windows, if the user doesn't specify a value,
@@ -44,7 +47,7 @@
 
 project(
     sight
-    VERSION 24.0.0
+    VERSION 25.1.0
     DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
     HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
 )
@@ -67,10 +70,15 @@
 
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
-list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/linux/modules)
+
+# We need to find Qt6 before ITK/VTK, otherwise they find Qt5 and CMake fails with a cryptic
+# "Targets not yet defined: Qt::XXXXPrivate", even if we don't use ITK-Qt or VTK-Qt extensions
+if(UNIX)
+    find_package(Qt6 CONFIG QUIET COMPONENTS Core Gui Widgets OpenGL)
+endif()
 
 # We find VTK to know its version so we can enable PCL or not
-find_package(VTK CONFIG QUIET REQUIRED)
+find_package(VTK CONFIG QUIET)
 
 ########################################################################################################################
 # User options
@@ -108,10 +116,6 @@
     # Also generate compile_commands.json which is useful when launching clang-tidy by "hand"
     set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 endif()
-
-# QML_IMPORT_PATH allows qtCreator to find the qml modules created in our modules
-set(QML_IMPORT_PATH "" CACHE STRING "Path of the Qml modules." FORCE)
-mark_as_advanced(QML_IMPORT_PATH)
 
 if(CMAKE_CONFIGURATION_TYPES)
     set(CMAKE_CONFIGURATION_TYPES ${CMAKE_BUILD_TYPE} CACHE STRING "List of supported configurations." FORCE)
@@ -148,14 +152,14 @@
 set(FWCMAKE_RESOURCE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/)
 
 # Append our 'FindPackages.cmake' to CMAKE_MODULE_PATH
-list(APPEND CMAKE_MODULE_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
+list(APPEND CMAKE_MODULE_PATH ${FWCMAKE_RESOURCE_PATH}/module)
 
 if(UNIX)
-    list(APPEND CMAKE_PREFIX_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
-
-    list(APPEND CMAKE_FIND_ROOT_PATH ${FWCMAKE_RESOURCE_PATH}/modules)
+    list(APPEND CMAKE_PREFIX_PATH ${FWCMAKE_RESOURCE_PATH}/module)
+
+    list(APPEND CMAKE_FIND_ROOT_PATH ${FWCMAKE_RESOURCE_PATH}/module)
     if(UNIX)
-        list(APPEND CMAKE_PREFIX_PATH /usr/share/OGRE/cmake/modules)
+        list(APPEND CMAKE_PREFIX_PATH /usr/share/OGRE/cmake/module)
     endif()
 
     set(SIGHT_EXTERNAL_LIBRARIES CACHE PATH "External libraries location")
@@ -184,7 +188,7 @@
 find_package(CppUnit QUIET REQUIRED)
 
 ########################################################################################################################
-# Default paths settings for libraries, modules and resources
+# Default paths settings for libraries, module and resources
 ########################################################################################################################
 set(FW_INSTALL_PATH_SUFFIX "${PROJECT_NAME}")
 set(SIGHT_MODULE_RC_PREFIX "${CMAKE_INSTALL_DATADIR}/${FW_INSTALL_PATH_SUFFIX}")
@@ -208,16 +212,18 @@
 
 sight_configure_pch()
 
-add_subdirectory(libs)
-add_subdirectory(modules)
-add_subdirectory(configs)
-add_subdirectory(activities)
-add_subdirectory(utils)
-add_subdirectory(apps)
+add_subdirectory(lib)
+add_subdirectory(module)
+add_subdirectory(activity)
+add_subdirectory(config)
+add_subdirectory(util)
+add_subdirectory(app)
+
 if(SIGHT_BUILD_EXAMPLES)
-    add_subdirectory(tutorials)
-    add_subdirectory(examples)
-endif()
+    add_subdirectory(tutorial)
+    add_subdirectory(example)
+endif()
+
 add_subdirectory(3rd-party)
 
 ########################################################################################################################
@@ -250,16 +256,12 @@
 )
 
 # Install the sightConfig.cmake and sightConfigVersion.cmake
-install(
-    FILES "${CMAKE_BINARY_DIR}/cmake/sightConfig.cmake" "${CMAKE_BINARY_DIR}/cmake/sightConfigVersion.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/build/macros.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/build/linux/modules/FindFilesystem.cmake"
-    DESTINATION ${FWCONFIG_PACKAGE_LOCATION}
-    COMPONENT dev
-)
-
-# install CppUnitConfig.cmake in a modules folder.
-install(FILES "${CMAKE_SOURCE_DIR}/cmake/modules/CppUnitConfig.cmake" DESTINATION ${FWCONFIG_PACKAGE_LOCATION}/modules
+install(FILES "${CMAKE_BINARY_DIR}/cmake/sightConfig.cmake" "${CMAKE_BINARY_DIR}/cmake/sightConfigVersion.cmake"
+              "${CMAKE_SOURCE_DIR}/cmake/build/macros.cmake" DESTINATION ${FWCONFIG_PACKAGE_LOCATION} COMPONENT dev
+)
+
+# install CppUnitConfig.cmake in a module folder.
+install(FILES "${CMAKE_SOURCE_DIR}/cmake/module/CppUnitConfig.cmake" DESTINATION ${FWCONFIG_PACKAGE_LOCATION}/module
         COMPONENT dev
 )

=== activity/CMakeLists.txt ===
add_subdirectory(navigation)
add_subdirectory(io)
add_subdirectory(viz)

=== app/CMakeLists.txt ===
add_subdirectory(sight_calibrator)
add_subdirectory(sight_viewer)
add_subdirectory(archive_extractor)

=== config/CMakeLists.txt ===
add_subdirectory(io)
add_subdirectory(ui)
add_subdirectory(viz)

=== example/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(io)
add_subdirectory(filter)
add_subdirectory(geometry)
add_subdirectory(navigation)
add_subdirectory(viz)

=== lib/CMakeLists.txt ===
add_subdirectory(__)
add_subdirectory(geometry)
add_subdirectory(io/__)
add_subdirectory(io/itk)
add_subdirectory(filter)
add_subdirectory(ui)
add_subdirectory(io)
add_subdirectory(navigation)
add_subdirectory(viz)

=== module/CMakeLists.txt ===
add_subdirectory(__)
add_subdirectory(filter)
add_subdirectory(geometry)
add_subdirectory(io)
add_subdirectory(navigation)
add_subdirectory(ui)
add_subdirectory(viz)

=== tutorial/CMakeLists.txt ===
add_subdirectory(xml)

=== util/CMakeLists.txt ===
add_subdirectory(dicom_anonymizer)
add_subdirectory(sightrun)
add_subdirectory(aruco_marker)
add_subdirectory(network_proxy)

=== activity/io/CMakeLists.txt ===
add_subdirectory(dicom)
add_subdirectory(dicomweb)
add_subdirectory(activity)

=== activity/navigation/CMakeLists.txt ===
add_subdirectory(calibration)

=== activity/viz/CMakeLists.txt ===
add_subdirectory(negato)
add_subdirectory(3d)

=== debian/changelog ===
sight (25.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Upgrade to Qt6, required for this version
    Add patch to build with gcc 15.  Closes: #1097881, #1111550
    Removed dbus-x11.  Closes: #1117106
  * d/p/: Update all patches to match new root file tree
    Remove applied patches upstream
  * lintian.overrides: Removed because of obsolete tags

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 04 Oct 2025 09:41:48 +0200

=== debian/control ===
Source: sight
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Flavien Bridault <fbridault@ircad.fr>,
Section: science
Priority: optional
Build-Depends:
 binutils-gold,
 cmake,
 dcmtk,
 debhelper-compat (= 13),
 dh-exec,
 libarchive-dev,
 libboost-all-dev,
 libceres-dev,
 libcppunit-dev,
 libexpat1-dev,
 libfftw3-dev,
 libgdcm-dev,
 libgdcm-tools,
 libglm-dev,
 libinsighttoolkit5-dev,
 libogre-1.12-dev,
 libopencv-dev,
 libopenigtlink-dev,
 libsdl2-dev,
 libvtk9-dev,
 libvtkgdcm-dev,
 pandoc,
 qt6-base-dev,
 qt6-image-formats-plugins,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-pdf-dev,
 qt6-tools-dev,
 rdfind,
 symlinks,
 xauth,
 xvfb,
 zlib1g-dev,
 zstd,
Vcs-Browser: https://salsa.debian.org/med-team/sight
Vcs-Git: https://salsa.debian.org/med-team/sight.git
Homepage: https://git.ircad.fr/Sight/sight
Rules-Requires-Root: no

Package: libsight
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 fonts-roboto,
Provides:
 fw4spl,
Description: Sight libraries
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package provides the shared libraries needed to
 run C++ programs that use Sight.

Package: libsight-dev
Architecture: any
Section: libdevel
Depends:
 libsight (= ${binary:Version}),
 libboost-all-dev,
 zlib1g-dev,
 libexpat1-dev,
 libpng-dev,
 libtiff-dev,
 libcppunit-dev,
 libhdf5-dev,
 libvtk9-dev,
 libgdcm-dev,
 libinsighttoolkit5-dev,
 libsdl2-dev,
 libann-dev,
 libvtkgdcm-dev,
 libglm-dev,
 libogre-1.12-dev,
 qt6-base-dev,
 qt6-image-formats-plugins,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-pdf-dev,
 qt6-tools-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sight header files
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package contains the development files.

Package: sightviewer
Architecture: any
Depends:
 libsight (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 vrrender,
Description: DICOM viewer
 Medical image viewer featuring negatoscope, multi-planar
 reconstruction, and volume rendering.
 .
 Many image formats are handled such as DICOM, mhd,
 inr.gz, vtk, vti,... Reconstructions can also be imported from
 DICOM segmentations or VTK supported formats, and visualized
 in mixed rendering with images.
 .
 Tools are provided to measure distances of
 structures in the image and to place landmarks.
 .
 Last, SightViewer can also connect directly to a PACS, and
 then request, download or upload DICOM files.

Package: sightcalibrator
Architecture: any
Depends:
 libsight (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Camera calibration software
 User-friendly application to calibrate mono and stereo cameras.
 .
 SightCalibrator can take images, video files, or any supported
 camera device as input. It detects the presence of a checkerboard
 in images. The parameters of the checkboard can be customized.
 Individual images can then be marked to be used in the
 computation of the calibration. Last, the intrinsic and extrinsic
 parameters can be exported in OpenCV format, Yaml or XML.

=== debian/watch ===
version=4
https://github.com/IRCAD/sight/tags .*/(\d\d\.\d\.\d)\.tar\.gz

## sight 25.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
     cmake_policy(SET CMP0174 NEW)
     # Use new policy for normalized install() DESTINATION paths
     cmake_policy(SET CMP0177 NEW)
+    # Stricter arguments check of add_custom_command
+    cmake_policy(SET CMP0175 NEW)
 else()
     # Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
     # (Needed for doxygen..)
@@ -47,7 +49,7 @@
 
 project(
     sight
-    VERSION 25.1.0
+    VERSION 25.2.0
     DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
     HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
 )
@@ -55,8 +57,6 @@
 if(APPLE)
     message(FATAL_ERROR "macOS is not supported.")
 endif()
-
-enable_testing()
 
 include(CheckVariableExists)
 include(CMakeParseArguments)
@@ -68,6 +68,18 @@
 mark_as_advanced(SIGHT_ENABLE_PCH)
 mark_as_advanced(SIGHT_VERBOSE_PCH)
 
+# Tests build / run options
+option(SIGHT_BUILD_TESTS "Configures projects associated tests (<project>Test projects)" ON)
+
+if(SIGHT_BUILD_TESTS)
+    message(STATUS "Tests enabled")
+    include(CTest)
+    find_package(doctest REQUIRED)
+endif()
+
+option(SIGHT_TESTS_XML_OUTPUT "Tests will generate an xml output, suitable for CI integration" ON)
+mark_as_advanced(SIGHT_TESTS_XML_OUTPUT)
+
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
 
@@ -83,15 +95,6 @@
 ########################################################################################################################
 # User options
 ########################################################################################################################
-
-# Tests build / run options
-option(SIGHT_BUILD_TESTS "Configures projects associated tests (<project>Test projects)" ON)
-
-option(SIGHT_TESTS_XML_OUTPUT "Tests will generate an xml output, suitable for CI integration" ON)
-mark_as_advanced(SIGHT_TESTS_XML_OUTPUT)
-
-set(SIGHT_TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
-mark_as_advanced(SIGHT_TESTS_FILTER)
 
 if(UNIX)
     option(SIGHT_ENABLE_GDB
@@ -184,8 +187,9 @@
     endif()
 endif()
 
-# We always need CppUnit, no need to put that in subdirectories
-find_package(CppUnit QUIET REQUIRED)
+if(SIGHT_BUILD_TESTS)
+    find_package(CppUnit QUIET REQUIRED)
+endif()
 
 ########################################################################################################################
 # Default paths settings for libraries, module and resources
@@ -270,6 +274,9 @@
     FILES "${CMAKE_SOURCE_DIR}/cmake/build/configure_file.cmake"
           "${CMAKE_SOURCE_DIR}/cmake/build/flags.cmake"
           "${FWCMAKE_RESOURCE_PATH}/build/cppunit_main.cpp.in"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctest_main.cpp.in"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctest.cmake"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctestAddTests.cmake"
           "${FWCMAKE_RESOURCE_PATH}/build/pch.cpp"
           "${CMAKE_SOURCE_DIR}/cmake/build/config.hpp.in"
           "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config.cmake"
@@ -284,6 +291,3 @@
 # Install some files needed for the install
 install(
     FILES "${CMAKE_SOURCE_DIR}/cmake/install/generic_install.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/get_git_rev.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/helper.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/install_imported.cmake.in"

=== util/CMakeLists.txt ===
add_subdirectory(sightrun)
add_subdirectory(aruco_marker)
add_subdirectory(network_proxy)

=== activity/io/CMakeLists.txt ===
add_subdirectory(activity)

=== lib/filter/CMakeLists.txt ===
add_subdirectory(vision)
add_subdirectory(image)

=== lib/ui/CMakeLists.txt ===
add_subdirectory(history)
add_subdirectory(__)
add_subdirectory(qt)
if(SIGHT_BUILD_TESTS)
    add_subdirectory(test)
endif()

=== module/ui/CMakeLists.txt ===
add_subdirectory(debug)
add_subdirectory(viz)
add_subdirectory(console)
add_subdirectory(__)
add_subdirectory(icons)
add_subdirectory(qt)
add_subdirectory(history)
if(SIGHT_BUILD_TESTS)
    add_subdirectory(test)
endif()

=== config/io/dicom/CMakeLists.txt ===
sight_add_target(config_io_dicom TYPE MODULE)

add_dependencies(
    config_io_dicom
    config_io_dimse
    config_io_dicomweb
    data
    io_dimse
    module_data
    module_memory
    module_io_dicom
    module_activity
    module_io_dimse
    module_io_dicomweb
    module_service
    module_ui_icons
    module_ui
    module_ui_qt
    module_viz_scene3d
    module_viz_scene3d_qt
)

=== config/io/dicomweb/CMakeLists.txt ===
sight_add_target(config_io_dicomweb TYPE MODULE)

add_dependencies(
    config_io_dicomweb
    data
    io_dimse
    module_data
    module_memory
    module_io_dicom
    module_activity
    module_io_dicomweb
    module_service
    module_ui_icons
    module_ui
    module_ui_qt
    module_viz_scene3d
    module_viz_scene3d_qt
)

=== config/io/dimse/CMakeLists.txt ===
sight_add_target(config_io_dimse TYPE MODULE)

add_dependencies(
    config_io_dimse
    config_io_dicomweb
    data
    io_dimse
    module_data
    module_memory
    module_io_dicom
    module_activity
    module_io_dimse
    module_io_dicomweb
    module_service
    module_ui_icons
    module_ui
    module_ui_qt
    module_viz_scene3d
    module_viz_scene3d_qt
)

=== lib/__/core/CMakeLists.txt ===
sight_add_target(core TYPE LIBRARY OBJECT_LIBRARY ON)

target_link_libraries(
    ${TARGET_OBJECT_LIB} PUBLIC Boost::system Boost::date_time Boost::log Boost::log_setup Boost::iostreams
)

target_compile_definitions(${TARGET_OBJECT_LIB} PUBLIC BOOST_BIND_GLOBAL_PLACEHOLDERS)

if(CMAKE_SYSTEM_NAME MATCHES "Windows")
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE psapi)

    # Boost >= 1.67 changes the default random provider on Windows to use BCrypt
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE bcrypt)

    # For timeBeginPeriod  and timeEndPeriod
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE winmm)
endif()

# This is the only place where we should pass these variables to the C++ code
target_compile_definitions(${TARGET_OBJECT_LIB} PRIVATE MODULE_BIN_PREFIX="${CMAKE_INSTALL_BINDIR}")
target_compile_definitions(${TARGET_OBJECT_LIB} PRIVATE MODULE_LIB_PREFIX="${SIGHT_MODULE_LIB_PREFIX}")
target_compile_definitions(${TARGET_OBJECT_LIB} PRIVATE MODULE_RC_PREFIX="${SIGHT_MODULE_RC_PREFIX}")

target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE LibXml2::LibXml2)

# Include openssl for crypto
target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE OpenSSL::Crypto)

if(UNIX)
    # We use dlopen, dlerror, ...
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE ${CMAKE_DL_LIBS})
endif()

target_link_libraries(${TARGET_OBJECT_LIB} PUBLIC OpenMP::OpenMP_CXX)

if(NOT WIN32 AND ZSTD_FOUND)
    target_include_directories(${TARGET_OBJECT_LIB} SYSTEM PRIVATE ${ZSTD_INCLUDE_DIRS})
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE ${ZSTD_LINK_LIBRARIES})
else()
    target_link_libraries(${TARGET_OBJECT_LIB} PRIVATE zstd::libzstd_shared)
endif()

if(SIGHT_BUILD_TESTS)
    add_subdirectory(test/detail)
    add_subdirectory(test/ut)
endif(SIGHT_BUILD_TESTS)

=== lib/__/data/CMakeLists.txt ===
sight_add_target(data TYPE LIBRARY)

target_link_libraries(data PUBLIC core)
find_package(GDCM QUIET REQUIRED COMPONENTS gdcmCommon gdcmMSFF)
target_link_libraries(data PRIVATE gdcmCommon gdcmMSFF)

target_link_libraries(data PRIVATE "$<$<VERSION_GREATER_EQUAL:glm_VERSION,0.9.9.8>:glm::glm>")

if(SIGHT_BUILD_TESTS)
    add_subdirectory(test/ut)
endif(SIGHT_BUILD_TESTS)

=== lib/__/utest/CMakeLists.txt ===
sight_add_target(utest TYPE LIBRARY)

target_link_libraries(utest PUBLIC core)

=== debian/changelog ===
sight (25.2.0-1) unstable; urgency=medium

  * Team upload.
  * Be more specific about Build-Depends than just libboost-all-dev
  * Adapt to libboost 1.90
    Closes: #1128147
  * debian/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Feb 2026 11:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sight
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
  Flavien Bridault <fbridault@ircad.fr>,
 Section: science
-Priority: optional
 Build-Depends:
  binutils-gold,
  cmake,
@@ -12,7 +11,11 @@
  debhelper-compat (= 13),
  dh-exec,
  libarchive-dev,
- libboost-all-dev,
+ libboost-date-time-dev,
+ libboost-iostreams-dev,
+ libboost-log-dev,
+ libboost-locale-dev,
+ libboost-program-options-dev,
  libceres-dev,
  libcppunit-dev,
  libexpat1-dev,
@@ -24,6 +27,10 @@
  libogre-1.12-dev,
  libopencv-dev,
  libopenigtlink-dev,
+ libopenjp2-7-dev,
+ libopenjp2-tools,
+ libopenjpip7,
+ libopenjpip-dec-server,
  libsdl2-dev,
  libvtk9-dev,
  libvtkgdcm-dev,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #fix the lintian "hardening" message
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

=== debian/watch ===
Version: 5

Source: https://github.com/IRCAD/@PACKAGE@/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]+)@ARCHIVE_EXT@
